Subject: Re: bug#54838: 28.1; Buffers are not updated when a directory is renamed in dired

From: Tassilo Horn <[email-masked]>
Date: Sun, 10 Apr 2022 19:19:26 +0200

Eli Zaretskii <[email-masked]> writes:

Hi Eli,

> Tassilo, part of this bug is yet another fallout from replacing
> dired-in-this-tree-p with file-in-directory-p: the latter returns nil
> if its second arg doesn't exist, and in this scenario we are dealing
> with a directory that was already renamed to the new name.  Do you
> agree with my proposed solution for that below?

I would just revert back to using dired-in-this-tree-p and never
file-in-directory-p in those places.  I've done that for many places in
61677ac3e4685d8f81c3b90eb751d9b5e8a3732d, too, because it turned out
that the change from dired-in-this-tree-p to file-in-directory-p caused
performance problems.  The fact that dired-in-this-tree-p works for
non-existing files and dired relies on that didn't even occur to me. :-(

Bye,
Tassilo